Read Invitation
Intent
Reads the invitation without changing it.
When to call it
Call this after your application has received or stored the identifier for the invitation.
Access boundary
Use the credential type and authentication scheme shown for this operation.
Successful result
A successful request returns 200. The response schema below defines the body your integration receives.
GET
/
v1
/
early-access
/
invitations
/
{token}
Read Invitation
curl --request GET \
--url https://api.getruba.com/v1/early-access/invitations/{token}import requests
url = "https://api.getruba.com/v1/early-access/invitations/{token}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getruba.com/v1/early-access/invitations/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email_hint": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"claimed": true
}{
"error": "EarlyAccessInviteInvalid",
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}⌘I
Read Invitation
